I've done a tad bit of Python programming in the past few months using emacs, and I'm looking to see if an IDE like IDLE would help me out. In any case, it's bugging me that when I type idle3 into the command line, it fails and tells me that

** IDLE can't import Tkinter. Your Python may not be configured for Tk. **

Now, I have made sure that tk, Tkinter for Python3 and such are all installed in YaST, and I'd be unsure as to how to proceed. What is it actually telling me/ how can I fix this?